<ng-container *transloco="let t; read: 'my_organizations'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('member_header')}}</span>
      <div>
        <table
          class="table-width"
          mat-table
          matSort
          [dataSource]="dataSource"
          (matSortChange)="announceSortChange($event)">
          <!-- logo Column -->
          <ng-container matColumnDef="logo">
            <th
              mat-header-cell
              *matHeaderCellDef
              mat-sort-header>
              {{t('logo_th')}}
            </th>
            <td
              mat-cell
              *matCellDef="let row">
              <img [src]="row.resized_logo_urls.w60">
            </td>
          </ng-container>
          <!-- name Column -->
          <ng-container matColumnDef="organization_name">
            <th
              mat-header-cell
              *matHeaderCellDef
              mat-sort-header>
              {{t('organization_th')}}
            </th>
            <td
              mat-cell
              *matCellDef="let row">
              {{row.organization_name}}
            </td>
          </ng-container>
          <!-- role -->
          <ng-container matColumnDef="role">
            <th
              mat-header-cell
              *matHeaderCellDef
              mat-sort-header>
              {{t('role_th')}}
            </th>
            <td
              mat-cell
              *matCellDef="let row">
              <!-- orgId -> to Observable<userRole> -> subscribe -> get roles. scoped translation -->
              <ng-container *ngIf="(row.organization_id | userRole | ngrxPush) as roles">
                <app-organization-user-roles-table-cell [roles]="roles"></app-organization-user-roles-table-cell>
              </ng-container>
            </td>
          </ng-container>
          <!-- number_of_members Column -->
          <ng-container matColumnDef="number_of_members">
            <th
              mat-header-cell
              *matHeaderCellDef
              mat-sort-header>
              {{t('number_of_members_th')}}
            </th>
            <td
              mat-cell
              *matCellDef="let row">
              {{row.details.number_of_members}}
            </td>
          </ng-container>
          <tbody>
            <tr
              mat-header-row
              *matHeaderRowDef="displayedColumns"></tr>
            <tr
              mat-row
              *matRowDef="let row; columns: displayedColumns;"
              [ngClass]="{'active-row': row.isDefault}">
            </tr>
            <!-- Row shown when there is no matching data. -->
            <tr
              class="mat-row no-data-table-row"
              *matNoDataRow>
              <td
                class="mat-cell"
                [colSpan]="displayedColumns.length">
                {{'general.no_data'|transloco}}
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </mat-card>
  </div>
</ng-container>
